---
title: New Documentation Release - We're Open to Feedback
date: 2025-05-16
categories:
  - Kura
  - Documentation
---

# New Documentation Release

We're excited to announce a comprehensive overhaul of the Kura documentation! The new documentation is designed to help users get started quickly and make the most of Kura's powerful features for analyzing conversation data.

## What's New

Our documentation has been completely reorganized and expanded to provide a better experience:

- **Clear Structure**: New organization with dedicated sections for Getting Started, Core Concepts, and API Reference
- **Comprehensive Installation Guide**: Detailed instructions for different installation methods, including both `uv` and `pip`
- **In-depth Tutorials**: Step-by-step guides in our Getting Started section
- **Enriched API Reference**: Better organized and more detailed API documentation
- **Core Concepts Explained**: Detailed explanations of Kura's architecture and components
- **Improved Code Examples**: Concise, practical examples throughout

<!-- more -->

## Getting Started

If you're new to Kura, we recommend starting with:

1. [Installation Guide](../../getting-started/installation.md)
2. [Quickstart Guide](../../getting-started/quickstart.md)
3. [Core Concepts Overview](../../core-concepts/overview.md)

## We Want Your Feedback!

Documentation is only useful if it answers your questions. We're actively seeking feedback on the new documentation:

- Is anything unclear or confusing?
- Are there missing topics you'd like to see covered?
- Did you find any errors or inconsistencies?
- What would make your experience better?

Please share your thoughts by:

- Opening an issue on [GitHub](https://github.com/567-labs/kura/issues/new?labels=documentation)
- Starting a discussion in our [GitHub Discussions](https://github.com/567-labs/kura/discussions)
- Reaching out to [Jason](https://twitter.com/jxnl) or [Ivan](https://x.com/ivanleomk)

## What's Next

This documentation release is just the beginning. We're planning to:

- Add more real-world examples and use cases
- Develop video tutorials
- Expand the API reference with more details
- Create a cookbook of common patterns and techniques

Stay tuned for more updates, and don't hesitate to let us know what you'd like to see next!

---

Thank you for using Kura. We're committed to building not just a great tool, but also great documentation to help you succeed with it.
